For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
GuidesAPI Reference
GuidesAPI Reference
  • Network API
      • GETList customers
      • GETRetrieve customer
      • GETRetrieve customer grant
      • GETList customer grants
      • POSTRevoke customer grant
      • Customer
      • POSTEvent: grant.created
      • POSTEvent: grant.status.updated
      • POSTEvent: customer.created
      • POSTEvent: customer.updated
      • POSTEvent: customer.deleted
  • Customer Request API
  • Management API
LogoLogo
Network APICustomers

Revoke customer grant

POST
/customers/:customer_id/grants/:grant_id/revoke
POST
/network/v1/customers/:customer_id/grants/:grant_id/revoke
$curl -X POST https://api.cash.app/network/v1/customers/customer_id/grants/grant_id/revoke \
> -H "Accept: Accept" \
> -H "X-Region: X-Region" \
> -H "X-Signature: X-Signature" \
> -H "User-Agent: User-Agent"
1{
2 "grant": {
3 "id": "GRG_221243dc6985a6819ff6950c1a21332f7bc4a46ebd49b5a7002908ab768e8e5ff7831e084d0d2c9d8d939793b55eff50",
4 "customer_id": "CST_AQmxh4y_QGoNNIG5NUw0jttqyYedL1LklACQdyJ3H-Vs6WmLtP6A_C7XjQNohvY",
5 "request_id": "GRR_1hrxhz136krcq6ezdte2ha5q",
6 "action": {
7 "amount": 2500,
8 "currency": "USD",
9 "scope_id": "MMI_4vxs5egfk7hmta3qx2h6rp91x",
10 "type": "ONE_TIME_PAYMENT"
11 },
12 "status": "ACTIVE",
13 "type": "ONE_TIME",
14 "channel": "IN_PERSON",
15 "created_at": "2022-01-01T12:00:00Z",
16 "updated_at": "2022-01-01T12:01:00Z",
17 "expires_at": "2022-04-01T12:00:00Z"
18 }
19}
Revokes a customer grant, rendering it unusable. Other endpoints will no longer be able to use the grant to perform its associated action. <Note> You cannot un-revoke a grant. Use with caution. </Note> **This endpoint is not rate limited.** Scopes: `GRANTS_WRITE`
Was this page helpful?
Previous

Customer

Next
Built with

Revokes a customer grant, rendering it unusable. Other endpoints will no longer be able to use the grant to perform its associated action.

You cannot un-revoke a grant. Use with caution.

This endpoint is not rate limited.

Scopes: GRANTS_WRITE

Path parameters

customer_idstringRequired
grant_idstringRequired

Headers

AcceptstringRequired
X-RegionstringRequired
X-SignaturestringRequired
User-AgentstringRequired

Response

OK
grantobject
Describes a grant that can be used to perform actions specified in a customer request using the Network API.

Errors

400
Bad Request Error
404
Not Found Error